Registered Model
RegisteredModel object
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Get model GA
GET
Get the details of a model. This is a <Databricks> workspace version of the MLflow endpoint that also returns the model's <Databricks> workspace ID and the permission level of the requesting user on the model.
API scopes: mlflow
Parameters
- namestringRequiredquery
Registered model unique name identifier.
Response
- registered_model_databricksobject
Show child attributesHide child attributes
- namestring[ 1 .. 100 ] characters
Name of the model.
- creation_timestampint64
Creation time of the object, as a Unix timestamp in milliseconds.
- last_updated_timestampint64
Last update time of the object, as a Unix timestamp in milliseconds.
- user_idstringemail
The username of the user that created the object.
- descriptionstring<= 65535 characters
User-specified description for the object.
- latest_versionsarray of object
Array of model versions, each the latest version for its stage.
Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- idstringuuid
Unique identifier for the object.
- permission_levelstring
Permission level granted for the requesting user on this registered model
CAN_MANAGECAN_EDITCAN_READCAN_MANAGE_STAGING_VERSIONSCAN_MANAGE_PRODUCTION_VERSIONSCAN_CREATE_REGISTERED_MODEL
- tagsarray of object
Array of tags associated with the model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
List models GA
GET
Lists all available registered models, up to the limit specified in max_results.
API scopes: mlflow
Parameters
- max_resultsint64<= 1000query
Maximum number of registered models desired. Max threshold is 1000.
- page_tokenstringquery
Pagination token to go to the next page based on a previous query.
Response
Returns a list of RegisteredModel objects.
Create a model GA
POST
Creates a new registered model with the name specified in the request body.
Throws RESOURCE_ALREADY_EXISTS if a registered model with the given name exists.
API scopes: mlflow
Request body
- namestringRequired
Register models under this name
- tagsarray of object
Additional metadata for registered model.
Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- descriptionstring
Optional description for registered model.
Response
- registered_modelobject
Show child attributesHide child attributes
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Update model GA
PATCH
Updates a registered model.
API scopes: mlflow
Request body
- namestringRequired
Registered model unique name identifier.
- descriptionstring
If provided, updates the description for this
registered_model.
Response
- registered_modelobject
Show child attributesHide child attributes
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Delete a model GA
Rename a model GA
POST
Renames a registered model.
API scopes: mlflow
Request body
- namestringRequired
Registered model unique name identifier.
- new_namestring
If provided, updates the name for this
registered_model.
Response
- registered_modelobject
Show child attributesHide child attributes
- namestring
Unique name for the model.
- creation_timestampint64
Timestamp recorded when this
registered_modelwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
registered_modelwas last updated.
- user_idstring
User that created this
registered_model
- descriptionstring
Description of this
registered_model.
- latest_versionsarray of object
Collection of latest model versions for each stage. Only contains models with current
READYstatus.Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
- tagsarray of object
Tags: Additional metadata key-value pairs for this
registered_model.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
Search models GA
GET
Search for registered models based on the specified filter.
API scopes: mlflow
Parameters
- filterstringquery
String filter condition, like "name LIKE 'my-model-name'". Interpreted in the backend automatically as "name LIKE '%my-model-name%'". Single boolean condition, with string values wrapped in single quotes.
- max_resultsint64<= 1000query
Maximum number of models desired. Default is 100. Max threshold is 1000.
- order_byarray of stringquery
List of columns for ordering search results, which can include model name and last updated timestamp with an optional "DESC" or "ASC" annotation, where "ASC" is the default. Tiebreaks are done by model name ASC.
- page_tokenstringquery
Pagination token to go to the next page based on a previous search query.
Response
Returns a list of RegisteredModel objects.
Get the latest version GA
POST
Gets the latest version of a registered model.
API scopes: mlflow
Request body
- namestringRequired
Registered model unique name identifier.
- stagesarray of string
List of stages.
Response
- model_versionsarray of object
Latest version models for each requests stage. Only return models with current
READYstatus. If nostagesprovided, returns the latest version for each stage, including"None".Show child attributesHide child attributes
- namestring
Unique name of the model
- versionstring
Model's version number.
- creation_timestampint64
Timestamp recorded when this
model_versionwas created.
- last_updated_timestampint64
Timestamp recorded when metadata for this
model_versionwas last updated.
- user_idstring
User that created this
model_version.
- current_stagestring
Current stage for this
model_version.
- descriptionstring
Description of this
model_version.
- sourcestring
URI indicating the location of the source model artifacts, used when creating
model_version
- run_idstring
MLflow run ID used when creating
model_version, ifsourcewas generated by an experiment run stored in MLflow tracking server.
- statusstring
Current status of
model_versionPENDING_REGISTRATIONFAILED_REGISTRATIONREADY
- status_messagestring
Details on current
status, if it is pending or failed.
- tagsarray of object
Tags: Additional metadata key-value pairs for this
model_version.Show child attributesHide child attributes
- keystring
The tag key.
- valuestring
The tag value.
- run_linkstring
Run Link: Direct link to the run that generated this version
Set a tag GA
POST
Sets a tag on a registered model.
API scopes: mlflow
Request body
- namestringRequired
Unique name of the model.
- keystringRequired
Name of the tag. Maximum size depends on storage backend. If a tag with this name already exists, its preexisting value will be replaced by the specified
value. All storage backends are guaranteed to support key values up to 250 bytes in size.
- valuestringRequired
String value of the tag being logged. Maximum size depends on storage backend. All storage backends are guaranteed to support key values up to 5000 bytes in size.
Delete a model tag GA
DELETE
Deletes the tag for a registered model.
API scopes: mlflow
Parameters
- namestringRequiredquery
Name of the registered model that the tag was logged under.
- keystringRequiredquery
Name of the tag. The name must be an exact match; wild-card deletion is not supported. Maximum size is 250 bytes.